Count Agents

Returns the total number of agents for the tenant, optionally filtered by a SCIM filter expression.

Required Entitlements (at least one): tenantAdmin, readAgents, writeAgents, manageAgentStatus, agentOwner

Examples

  • Count all agents: GET /Agents/count
  • Count by status: GET /Agents/count?filter=status eq "ACTIVE"
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Query Params
string

SCIM filter expression to restrict the count. Only status attribute is supported with operator eq.

For example, status eq "ACTIVE".

Responses
200

Agent count retrieved successfully

400

Bad Request - Unsupported query parameter or invalid filter expression

401

Unauthorized - Authentication required

403

Forbidden - Insufficient permissions (CSINH2501E)

500

Internal Server Error (CSINH1000E)

Language
URL
LoadingLoading